using Avalonia.Controls;
using Avalonia.Interactivity;
using System;
using System.Data;
using System.Diagnostics;
using System.Runtime.Intrinsics.Arm;

namespace AvaloniaApplication1
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
            
        }
       public void Button_Click(object source, RoutedEventArgs args)
        {
            string date = dateT.SelectedDate.ToString();

            if (date == "")
            {
                mounthT.Text = "   ";
            }
            else
            {
                int day = int.Parse(date.Substring(0, 2));
                int mounth = int.Parse(date.Substring(3, 2));
                int year = int.Parse(date.Substring(6, 4));

                DateTime BD = new DateTime(year, mounth, day);
                DateTime ToDay = DateTime.Now;


                if (BD > ToDay)
                {
                    mounthT.Text = "   ";
                }
                else
                {
                    int Vis = 0;
                    int DbWeek = 0;
                    DateTime dayW;
                    int age = ToDay.Year - BD.Year;
                    int months = ToDay.Month - BD.Month;
                    int days = ToDay.Day - BD.Day;

                    if (ToDay.Month < BD.Month || (ToDay.Month == BD.Month && ToDay.Day < BD.Day))
                    {
                        age--;
                    }

                    if (days < 0)
                    {
                        months--;
                        days += DateTime.DaysInMonth(ToDay.Year, ToDay.Month - 1);
                    }

                    if (months < 0)
                    {
                        months += 12;
                    }
                    VisY.Text = " : ";
                    string DayOfWeek = BD.DayOfWeek.ToString();
                    for (int i = year; i <= ToDay.Year; i++)
                    {
                        if (i % 4 == 0)
                        {

                            VisY.Text = VisY.Text + i + " ";
                            Vis++;
                        }
                        dayW = new DateTime(i, mounth, day);

                        if (dayW.DayOfWeek.ToString() == DayOfWeek && dayW != BD && dayW != ToDay)
                        {
                            DbWeek++;
                        }
                    }

                    if (DayOfWeek == "Monday")
                    {
                        DayOfWeek = "";
                    }
                    if (DayOfWeek == "Tuesday")
                    {
                        DayOfWeek = "";
                    }
                    if (DayOfWeek == "Wednesday")
                    {
                        DayOfWeek = "";
                    }
                    if (DayOfWeek == "Thursday")
                    {
                        DayOfWeek = "";
                    }
                    if (DayOfWeek == "Friday")
                    {
                        DayOfWeek = "";
                    }
                    if (DayOfWeek == "Saturday")
                    {
                        DayOfWeek = "";
                    }
                    if (DayOfWeek == "Sunday")
                    {
                        DayOfWeek = "";
                    }

                    dayOfWeek.Text = " : " + DayOfWeek;
                    yearT.Text = " : " + age.ToString();
                    mounthT.Text = " : " + months.ToString();
                    daysT.Text = " : " + days.ToString();
                    DBW.Text = "     " + DayOfWeek + ": " + DbWeek;
                    Viss.Text = "  : " + Vis;
                }
            }
        }
    }
}